RTF_CREATE(3)

NAME
rtf_create - create a real-time fifo

SYNOPSIS
#include <rtl_fifo.h>

int rtf_create(unsigned int fifo, int size);

DESCRIPTION
rtf_create creates a real-time fifo (RT-FIFO) of size size and assigns it the identifier fifo. fifo is a value unique within the system, and must be less than RTF_NO.

The RT-FIFO is a mechanism, implemented as a character device, to communicate between real-time tasks and ordinary Linux processes. The rtf_* functions are used by the real-time tasks; Linux processes use standard character device access functions such as read(3), write(3), and select(3).

RETURN VALUE
On success, 0 is returned. On failure, a negative value is returned as described below.

ERRORS

-ENODEV
    fifo is greater than or equal to RTF_NO.

-EBUSY
    fifo is already in use. Choose a different ID.

-ENOMEM
    size bytes could not be allocated for the RT-FIFO.

NOTES
This function can only be called in the Linux kernel mode.

SEE ALSO
rtf_create_handler(3), rtf_destroy(3), rtf_get(3), rtf_put(3)